VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Public Member Functions | List of all members
CBaseObject Class Reference

Base Object with reference counter. More...

Inheritance diagram for CBaseObject:

## Public Member Functions
| CBaseObject ()=default
| ~CBaseObject () noexceptoverride=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
Message Methods
virtual CMessageResult | notify ([[maybe_unused]] CBaseObject *sender,[[maybe_unused]] IdStringPtr message)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0
void | remember () override
| increase refcount
virtual int32_t | getNbReference () const
| get refcount

## Detailed Description

Base Object with reference counter.

## Constructor & Destructor Documentation

CBaseObject | ( |  | ) |
| default

~CBaseObject | ( |  | ) |
| override default noexcept

CBaseObject | ( | const CBaseObject & |  | ) |
| inline

## Member Function Documentation

virtual CMessageResult notify | ( | [[maybe_unused] ] CBaseObject * | sender,
|  | [[maybe_unused] ] IdStringPtr | message
| ) |  |
| inline virtual

CBaseObject& operator= | ( | const CBaseObject & |  | ) |
| inline

The documentation for this class was generated from the following file:

- vstguibase.h